python与flutter开发环境设置

好吧,主要是发现都没有完全符合自己的环境设置方法,想着每次都在网上来回查找,很麻烦,还是记录下了。

1.python

1.1IDE

选择的是vs code的开源版本codium,下载地址,不喜欢snap,还是选的deb版本

1.2 配置python环境

凭记忆敲的,可能有错

sudo apt-get install python3,python3-pip
pip3 install -U pylint

设置.bashrc

export PATH=$PATH:/home/username/.local/bin/

打开codium,配上proxy,在extension选择python,顺便安装上vim,还有flutter,后面不用再安装了

在codium按住ctrl+shift+p,输入python:select interpreter,选择好python程序

再python:select linter,选择前面安装的pylint(有可能这时候还没有后选项,是因为前面的export没起作用)

2.安装flutter

2.1下载flutter

用国内镜像下载,地址在这

2.2解压缩flutter,为flutter命令做好软链接

2.3安装好配套命令

sudo apt-get install clang cmake ninja-build pkg-config libgtk-3-dev liblzma-dev
export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn

2.4安装android开发环境

这个其实已经不用tizi了,所有命令直接在本地完成即可,这个地方为了不安装android studio,所以折腾了这么多步,也是折腾这篇文章最主要的原因

unzip commandlinetools-linux-8512546_latest.zip
cd ~/tools
mkdir -v sdkroot
cd -
mv -v cmdline-tools ~/tools/sdkroot
cd ~/tools/sdkroot/cmdline-tools
mkdir -v latest
mv * latest
cd latest/bin/
./sdkmanager "platform-tools"
./sdkmanager "platforms;android-30"
./sdkmanager  "build-tools;30.0.3"
flutter config --android-sdk ~/tools/sdkroot
flutter doctor --android-licenses

到此,flutter基本就算折腾完成了

码字不易,转载请附上 本文原创链接

友情链接

已有 3 条评论
  1. 准备开发app么

    1. 对啊,已经折腾好久了

      1. 加油,折腾点什么还是很有成就感的。

添加新评论